Name:		io_profile
License:	GPL, TeraCloud Corporation
Group:		System/Benchmark
Autoreqprov:	on
Summary:	IO profiling utility by TeraCloud Corporation
Version:	1.00
Release:      	1.mge.suse1010
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

Packager:	Matthias G. Eckermann <mge@arcor.de>
Distribution:	SUSE Linux 10.1 (%{_arch}) MgE

%description

io_profile measures the performance of a large number of
open-seek-read/write-close cycles at random locations in a set of randomly
selected files. io_profile enables IT professionals to conduct comparative
analysis and tune IO channels for I/O size characteristics. By measuring and
tuning performance differences, informed decisions guide the optimization of
storage solutions.

%prep
%setup

%build
cd src
make -f makefile.linux
strip io_profile

%install
[ "$RPM_BUILD_ROOT" != / ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/bin/
cd src
cp -a io_profile $RPM_BUILD_ROOT/usr/bin/
 
%files 
%doc faq.txt readme.txt gnu-gpl/
/usr/bin/io_profile

%clean
[ "$RPM_BUILD_ROOT" != / ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

#
#	Changelog
#
%changelog
* Sat Apr  8 2006 Matthias G. Eckermann <mge@arcor.de>
- build on SL 10.1 / CODE 10

